int main(void)
{
    /* Initialized data */
    static double ar[16]    /* was [4][4] */ = { 1.,.42,.54,.66,.42,1.,
                                      .32,.44,.54,.32,1.,.22,.66,.44,.22,1. };
    static double ai[16]    /* was [4][4] */ = { 0.,0.,0.,0.,0.,0.,0.,0.,
                                                 0.,0.,0.,0.,0.,0.,0.,0. };
    /* Local variables */
    static int ierr, irab1[3];
    extern int aeh4p_c(int *, double *, double *, double *, double *,
                       double *, int *, int *, int *, double *, double *,
                       int *);
    static int i__, m, n, mm;
    static double ev[3], rlb, rub, rab1[8]  /* was [2][4] */, rab2[20];

#define ai_ref(a_1,a_2) ai[(a_2)*4 + a_1 - 5]
#define ar_ref(a_1,a_2) ar[(a_2)*4 + a_1 - 5]

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %16.7e %16.7e %16.7e %16.7e \n",
            ar_ref(i__, 1), ar_ref(i__, 2), ar_ref(i__, 3), ar_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %16.7e %16.7e %16.7e %16.7e \n",
            ai_ref(i__, 1), ai_ref(i__, 2), ai_ref(i__, 3), ai_ref(i__, 4));
    }
    n = 4;
    mm = 3;
    rlb = 0.;
    rub = 1.;
    aeh4p_c(&n, ar, ai, ev, &rlb, &rub, &mm, &m, irab1, rab1, rab2, &ierr);

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %16.7e %16.7e %16.7e %16.7e \n",
            ar_ref(i__, 1), ar_ref(i__, 2), ar_ref(i__, 3), ar_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %16.7e %16.7e %16.7e %16.7e \n",
            ai_ref(i__, 1), ai_ref(i__, 2), ai_ref(i__, 3), ai_ref(i__, 4));
    }
    printf("\n %24.14e %24.14e %24.14e \n", ev[0], ev[1], ev[2]);
    printf("\n %5i \n", ierr);
    return 0;
} /* main */

#undef ar_ref
#undef ai_ref
